﻿using CarRepairShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarRepairShopContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }
        public string ShopName { get; set; } = string.Empty;
        public string ShopAddress { get; set; } = string.Empty;
        public DateTime DateOpen { get; set; } = DateTime.Now;
        public int MaxCountRepairs { get; set; }
        public Dictionary<int, (IRepairModel, int)> ShopRepairs { get; set; } = new();
    }
}
