﻿using CarRepairShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarRepairShopContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }

        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;

        [DisplayName("Адрес магазина")]
        public string ShopAddress { get; set; } = string.Empty;

        [DisplayName("Дата открытия")]
        public DateTime DateOpen { get; set; } = DateTime.Now;

        [DisplayName("Вместимость магазина")]
        public int MaxCountRepairs { get; set; }

        public Dictionary<int, (IRepairModel, int)> ShopRepairs { get; set; } = new();
    }
}
